MDL-69680 lib: Update jQuery version in Moodle files
authorIlya Tregubov <ilya@moodle.com>
Fri, 12 Feb 2021 07:39:18 +0000 (09:39 +0200)
committerAdrian Greeve <abgreeve@gmail.com>
Thu, 4 Mar 2021 04:48:26 +0000 (12:48 +0800)
lib/jquery/plugins.php
lib/requirejs/moodle-config.js
lib/thirdpartylibs.xml
privacy/classes/local/request/moodle_content_writer.php
privacy/templates/htmlpage.mustache

index 03ec62a..e1f8d0c 100644 (file)
@@ -36,7 +36,7 @@
  */
 
 $plugins = array(
-    'jquery'  => array('files' => array('jquery-3.4.1.min.js')),
+    'jquery'  => array('files' => array('jquery-3.5.1.min.js')),
     'ui'      => array('files' => array('ui-1.12.1/jquery-ui.min.js')),
     'ui-css'  => array('files' => array('ui-1.12.1/theme/smoothness/jquery-ui.min.css')),
 );
index 25fa379..ea468cd 100644 (file)
@@ -6,7 +6,7 @@ var require = {
     waitSeconds : 0,
 
     paths: {
-        jquery: '[JSURL]lib/jquery/jquery-3.4.1[JSMIN][JSEXT]',
+        jquery: '[JSURL]lib/jquery/jquery-3.5.1[JSMIN][JSEXT]',
         jqueryui: '[JSURL]lib/jquery/ui-1.12.1/jquery-ui[JSMIN][JSEXT]',
         jqueryprivate: '[JSURL]lib/requirejs/jquery-private[JSEXT]'
     },
index 8876c51..2e5eeca 100644 (file)
     <location>jquery</location>
     <name>jQuery</name>
     <license>MIT</license>
-    <version>3.4.1</version>
+    <version>3.5.1</version>
     <licenseversion></licenseversion>
   </library>
   <library>
index ba9d231..57b40af 100644 (file)
@@ -627,8 +627,8 @@ class moodle_content_writer implements content_writer {
         $targetpath = ['js', 'general.js'];
         $this->copy_data($jspath, $targetpath);
 
-        $jquery = ['lib', 'jquery', 'jquery-3.4.1.min.js'];
-        $jquerydestination = ['js', 'jquery-3.4.1.min.js'];
+        $jquery = ['lib', 'jquery', 'jquery-3.5.1.min.js'];
+        $jquerydestination = ['js', 'jquery-3.5.1.min.js'];
         $this->copy_data($jquery, $jquerydestination);
 
         $requirecurrentpath = ['lib', 'requirejs', 'require.min.js'];
index 6c040ef..ffe0337 100644 (file)
@@ -65,7 +65,7 @@
         <div data-main-content class="jumbotron bg-light border">
             <h2 class="display-8">{{#str}}viewdata, core_privacy{{/str}}</h2>
         </div>
-        <script src="js/jquery-3.4.1.min.js"></script>
+        <script src="js/jquery-3.5.1.min.js"></script>
         <script src="js/data_index.js"></script>
         <script src="js/general.js"></script>
         <script src="js/require.min.js"></script>
@@ -74,7 +74,7 @@
                 "baseUrl": "./",
                 "paths": {
                     "app": "./",
-                    "jquery": "./js/jquery-3.4.1.min",
+                    "jquery": "./js/jquery-3.5.1.min",
                     "core/tree": "./js/tree.min"
                 }
             });